Name:		mupen64plus-extraplugins
Version:	2.0
Release:	4%{?dist}

Summary:	Additional plugins for Mupen64Plus
License:	GPLv2+
Group:		Emulators
URL:		http://code.google.com/p/mupen64plus/
Source0:	http://mupen64plus.googlecode.com/files/mupen64plus-extraplugins-src-2.0.0.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	glew-devel
BuildRequires:	make
BuildRequires:	libtool
BuildRequires:	mupen64plus
Requires:	glew 
Requires:	mupen64plus	


%description
Additional plugins for Mupen64Plus


%prep
%setup -c


%build

for _plugdir in mupen64plus-rsp* mupen64plus-video*; do
    cd $_plugdir
    make -C projects/unix PREFIX=%{_prefix} all
    cd ..
  done

%install

for _plugdir in mupen64plus-rsp* mupen64plus-video*; do
    cd $_plugdir
    make -C projects/unix PREFIX=%{_prefix} DESTDIR=%{buildroot} install
    cd ..
  done


%files

/usr/lib/mupen64plus/mupen64plus-rsp-z64.so
/usr/lib/mupen64plus/mupen64plus-video-arachnoid.so
/usr/lib/mupen64plus/mupen64plus-video-glide64.so
/usr/lib/mupen64plus/mupen64plus-video-z64.so
%{_datadir}/mupen64plus/Glide64.ini



%changelog

* Wed Sep 25 2013 David Vasquez <davidjeremias82[AT]gmail [DOT] com> 2.0-4
- Initial build rpm
